Name:             nautilus
Version:          3.33.90
Release:          3
Summary:          Default file manager for GNOME
License:          GPLv3+ and LGPLv2+
URL:              https://wiki.gnome.org/Apps/Nautilus
Source0:          https://download.gnome.org/sources/%{name}/3.33/%{name}-%{version}.tar.xz

BuildRequires:   desktop-file-utils gcc gettext gtk-doc meson libgexiv2-devel glib2-devel gnome-autoar-devel gnome-desktop3-devel
BuildRequires:   gobject-introspection-devel gsettings-desktop-schemas-devel gtk3-devel libseccomp-devel libselinux-devel libxslt
BuildRequires:   libxml2-devel tracker-devel libX11-devel pkgconfig(gstreamer-pbutils-1.0) pkgconfig(gstreamer-tag-1.0) git libappstream-glib

Requires:        glib2 gsettings-desktop-schemas gtk3 gvfs tracker-miners

Provides:        %{name}-extensions
Obsoletes:       %{name}-extensions

%description
It's easier to manage your files for the GNOME desktop. Ability to browse directories on local and remote systems.
preview folders and launch related programs. It is also handle icons on the GNOME desktop.

%package        devel
Summary:        includes development files for %{name} client development
License:        LGPLv2+
Requires:       %{name} = %{version}-%{release}

%description    devel
Files needed for building applications,such as static libraries,
header files that can communicate with a %{name} media server.

%package_help

%prep
%autosetup -p1

sed -i '/-Werror/d' meson.build

%build
%meson -Ddocs=true -Dextensions=true -Dintrospection=true \
       -Dselinux=true %{nil}
%meson_build

%install
%meson_install


%check
appstream-util validate-relax --nonet $RPM_BUILD_ROOT%{_datadir}/metainfo/org.gnome.Nautilus.appdata.xml
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
make test

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license LICENSE
%{_libdir}/nautilus
%{_libdir}/libnautilus-extension.so*
%{_libdir}/girepository-1.0
%{_bindir}/*
%{_datadir}/dbus-1/*
%{_datadir}/gnome-shell/*
%{_datadir}/locale
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*
%{_datadir}/glib-2.0/*

%files devel
%defattr(-,root,root)
%{_includedir}/nautilus/*
%{_libdir}/pkgconfig/*

%files help
%defattr(-,root,root)
%doc NEWS README.md
%{_mandir}/man1/*
%{_datadir}/gtk-doc/html/libnautilus-extension/*
%{_datadir}/gir-1.0/*
%{_datadir}/metainfo/*

%changelog
* Sat Dec 28 2019 Jiangping Hu <hujiangping@huawei.com> - 3.33.90-3
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:package glib-2.0/* into nautilus package

* Thu Nov 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.33.90-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add the libxslt in buildrequires

* Sat Aug 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.33.90-1
- Package init
